CREATE TABLE bm_doc_ed_document (
    ID                  NUMBER(18, 0) ,
    OUTPUT_TYPE         NUMBER(1, 0)      NOT NULL,
    MEASURMENT_UNITS    NUMBER(1, 0)      NOT NULL,
    FONT_UNITS          NUMBER(1, 0)      NOT NULL,
    GLOBAL_SNPT_ID      NUMBER(18, 0)     NOT NULL,
    DEBUG_TRANS_ID      NUMBER(18, 0)     NOT NULL,
    DOC_ED_ID           NUMBER(18, 0)     NOT NULL,
    CUSTOM_LAYOUT       CLOB          ,
    DATE_ADDED          DATE              NOT NULL,
    DATE_MODIFIED       DATE              NOT NULL,
    NAME                VARCHAR2(1020)    NOT NULL,
    VARNAME             VARCHAR2(1020)    NOT NULL,
    DESCRIPTION         VARCHAR2(1020),
    GUID                VARCHAR2(4000)    NOT NULL,
    ID                  NUMBER(18, 0) ,
    OUTPUT_TYPE         NUMBER(1, 0)      NOT NULL,
    MEASURMENT_UNITS    NUMBER(1, 0)      NOT NULL,
    FONT_UNITS          NUMBER(1, 0)      NOT NULL,
    GLOBAL_SNPT_ID      NUMBER(18, 0)     NOT NULL,
    DEBUG_TRANS_ID      NUMBER(18, 0)     NOT NULL,
    DOC_ED_ID           NUMBER(18, 0)     NOT NULL,
    CUSTOM_LAYOUT       CLOB          ,
    DATE_ADDED          DATE              NOT NULL,
    DATE_MODIFIED       DATE              NOT NULL,
    NAME                VARCHAR2(1020)    NOT NULL,
    VARNAME             VARCHAR2(1020)    NOT NULL,
    DESCRIPTION         VARCHAR2(1020),
    GUID                VARCHAR2(4000)    NOT NULL,
    CONSTRAINT pk_bm_doc_ed_document PRIMARY KEY (ID, ID)
);
